Bug 123512 - rpm fails when attempting to install dev-3.3.12-1
rpm fails when attempting to install dev-3.3.12-1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-18 18:43 EDT by Pat Ryan
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:45:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pat Ryan 2004-05-18 18:43:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040113

Description of problem:
When running rpm -Uvh on dev-3.3.12-1.i386.rpm, the utility fails
with the following error:
error: unpacking of archive failed on file
/dev/snd/controlC0;40aa819b: cpio: mknod failed no such file or directory.

I initially got this failure in the middle of an up2date of 15 or so
pcakages.  Since then the system has not been able to run the window
system, and will only come to level 3 partway - no network.  If I
set it to come up to level 5, the graphics splash screen comes up
(Nvidia), then screen blanks and returns to the graphics splash screen
again - repeat for effect until bored...  I can force it to level 3
and manually start the network and ssh.

My guess - due to the mknod failed error, is something to do with
permissions, perhaps with files already on the box.  But then I am a
Solaris guy - learning the deper meanings of life....

The box I am working on is a Dell Precision 450

Version-Release number of selected component (if applicable):
dev-3.3.12-1.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. up2date dev - fails with nondescript error
2. rpm -Uvh dev - better (?) errors
3.
    

Actual Results:  errors as described above:
error: unpacking of archive failed on file
/dev/snd/controlC0;40aa819b: cpio: mknod failed no such file or directory.

Expected Results:  dev should have updated and the world be rosy

Additional info:
Comment 1 Suzanne Hillman 2004-05-21 11:40:23 EDT
This looks like something you'd really be better off going through
support for, presuming you have an up to date entitlement.

https://www.redhat.com/apps/support/
Comment 2 Jeff Johnson 2004-06-11 09:40:49 EDT
IIRC, this is a failure of mknod(2) when using devfs.

Are you using devfs?
Comment 3 Jeremy Katz 2005-04-19 14:45:29 EDT
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.

Note You need to log in before you can comment on or make changes to this bug.